View Issue Details

IDProjectCategoryView StatusLast Update
0024990mantisbtemailpublic2019-03-05 00:49
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.19.0Fixed in Version2.19.0 
Summary0024990: Update PHPMailer to 6.0.6
Description

PHPMailer 6.0 has been released in August 2017, and there have been several bugfix releases since then; the latest version is 6.0.6.

We are still using the library's old 5.2 series, which has been deprecated and will stop receiving security and bug fixes on 31-dec-2018.

We need to upgrade our dependency to ensure continued support, including PHP versions >= 7.0.

I'm targeting 2.19.0, but if that's too short for testing before release end of November, then we must go for 5.20.0 so we complete the upgrade before end-of life of PHPMailer 5.2.

Additional Information

Note: 6.0.6 release includes the security hotfix for CVE-2018-19296 applied in 0024985.

TagsNo tags attached.

Relationships

has duplicate 0024036 closeddregad Upgrade PHPMailer to 6.0 
related to 0025566 closeddregad PHPMailer regressions 

Activities

Related Changesets

MantisBT: master 8d5524dc

2018-11-20 04:51:50

dregad


Committer: GitHub Details Diff
Update PHPMailer to 6.0.6

Merge pull request #1410 from dregad/phpmailer6

Fixes 0024990
Affected Issues
0024990
mod - composer.json Diff File
mod - composer.lock Diff File
mod - core/email_api.php Diff File

Issue History

Date Modified Username Field Change
2018-11-17 09:15 dregad New Issue
2018-11-17 09:15 dregad Status new => assigned
2018-11-17 09:15 dregad Assigned To => dregad
2018-11-17 09:18 dregad Additional Information Updated View Revisions
2018-11-17 09:21 dregad Note Added: 0060973
2018-11-17 09:28 dregad Description Updated View Revisions
2018-11-18 17:46 atrol Relationship added has duplicate 0024036
2018-11-20 04:52 dregad Changeset attached => MantisBT master 8d5524dc
2018-11-20 04:52 dregad Status assigned => resolved
2018-11-20 04:52 dregad Resolution open => fixed
2018-11-20 04:52 dregad Fixed in Version => 2.19.0
2019-01-02 17:25 vboctor Status resolved => closed
2019-03-05 00:49 vboctor Relationship added related to 0025566